# cancel_state Struct Reference

`#include <Thread.h>`

List of all members.

## Public Attributes

int | cancelstate
int | canceltype
| e.g., PTHREAD_CANCEL_DEFERRED and PTHREAD_CANCEL_ASYNCHRONOUS.

## Member Data Documentation

int cancel_state::cancelstate

| e.g., PTHREAD_CANCEL_ENABLE, PTHREAD_CANCEL_DISABLE, PTHREAD_CANCELED.

int cancel_state::canceltype

| e.g., PTHREAD_CANCEL_DEFERRED and PTHREAD_CANCEL_ASYNCHRONOUS.

The documentation for this struct was generated from the following file:

- Thread.h